commit:     6ec226ccc198b93c05bb32251ef1ea0cb389142f
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Sat Aug  2 02:20:51 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep  5 11:16:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ec226cc

dev-db/mongodb: add 6.0.25

Bug: https://bugs.gentoo.org/954813
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43287
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/mongodb/Manifest              |   1 +
 dev-db/mongodb/mongodb-6.0.25.ebuild | 208 +++++++++++++++++++++++++++++++++++
 2 files changed, 209 insertions(+)

diff --git a/dev-db/mongodb/Manifest b/dev-db/mongodb/Manifest
index 971c21dad278..b52be1a174b0 100644
--- a/dev-db/mongodb/Manifest
+++ b/dev-db/mongodb/Manifest
@@ -3,6 +3,7 @@ DIST mongodb-5.0.30.gh.tar.gz 57312372 BLAKE2B 
72b026115cf3c8b1b81857bc5bffcd5b7
 DIST mongodb-5.0.31.gh.tar.gz 57334718 BLAKE2B 
2594d29df996b27eff85baf923b57ffec17b47ab5bb90cdb6899178fc20b6e0c45649ad67cbc175ced76a079e13c495a6bffb39f813127aed6c4841df6c50d7e
 SHA512 
126815f9bab0f0bd7095ce3032acc373a3f5f1e6b7c111026c4319e1a4c44b526d1f364ffeacdc982d4e2ed3073e6f2f1f24cce9f3126f90f7308a7e13b56242
 DIST mongodb-6.0.22-patches.tar.xz 8820 BLAKE2B 
973e58d0a09d8fb160beefd46b425b0f5dd7ad531f9ccec433fd201517035613c171cddaf5d3cf2883f57d4728438572062cc5c8b9166e15d8e5701efcd8b84c
 SHA512 
fa8f18d259e829df07ec26ab570de9b3968b9b02ed195b47d7a2bfc832f2b7e74a5aaf58e54cfe6d01ea7e3d76efdad2e1efca0da4af0b0d3f50944dfd1fd4e0
 DIST mongodb-6.0.22.gh.tar.gz 87688277 BLAKE2B 
1ff5206cb996763ca051129572eb9bf6f8cff0ceeae7f86c4472e49a7d2210de602beead53d3aba7d8ee3b168a50a2505b8cfc91cd22968dd39a42ba13432e73
 SHA512 
4a3258b22d31ee81d5932d82dc5d19aec0b3648593d57cedd21b74c46bf4bfea833a519f4e90c1f2f860aa46781297dd16b7324145713e36eee81d41e684c420
+DIST mongodb-6.0.25.gh.tar.gz 87527607 BLAKE2B 
0ddec1d8b6a9ba78a44fa8f14a3777dfec6ef35d873d0ea488f917762fde6c94f433f048c2da93fd95cfdf449302d23060673e255e94b3d98b69b0e4f4ef6a13
 SHA512 
3e86e313e84b3a2b57e9688e0a114043492d68ca9c5bbddb588fef87362e1d5e712ea6f478ba2142e86bfc68227e99832c2274cdee320a1bc964782eb1065ff0
 DIST mongodb-7.0.18-patches.tar.xz 9036 BLAKE2B 
d52032a7bd82a5bffd3536a14d346750b9c093387dd5cb2cf618e32410ccc22e3c5e89a4947d948c16dc8fa4c34388b7ffcc3321723dfa2b2730db763acc2f69
 SHA512 
5e6e5b29a2c500e6be7fb3e9b83a5f88fde0182e070af15e4d04dede82a6cea8957e1fc0ea329f0cd8a51565de9e51c7ae1d0e7f2ca021e5391cabb337752d40
 DIST mongodb-7.0.18.gh.tar.gz 87225100 BLAKE2B 
7ede32f4c6b6968ee8d797ce71457133020a3e4a039cd0db914e344e5042a0b871deb5741f86098b2e82b9ff619a511a754a06a29dcbb9527a3b7a7edf52b3ac
 SHA512 
599767db66e95d8dd0bd0e6d51fd70129ea6df1e18a0cdaa52bc6cbe301c982684ff5aab446c50cb825573051e372d8f791aeab7df58e2a4d855e6073f2b46d5
 DIST mongodb-8.0.8-patches.tar.xz 8076 BLAKE2B 
860c76266f7db7de846c7a791c8a0eb680b0587f6600e6d71bcaae666dda12073fb3613bfe768aa042b54081287b271cb91f4f8c4d5c9232ce7f318ffcff08bb
 SHA512 
c9d96fd16d7790ec459ac839be4aa0076d48e936abdd80e910d1ebc6010652c43291f69e379dd4322f76276c8bb2072c52977e7f30a36d92efbda1161f9a5a13

diff --git a/dev-db/mongodb/mongodb-6.0.25.ebuild 
b/dev-db/mongodb/mongodb-6.0.25.ebuild
new file mode 100644
index 000000000000..99104ef6edc3
--- /dev/null
+++ b/dev-db/mongodb/mongodb-6.0.25.ebuild
@@ -0,0 +1,208 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+SCONS_MIN_VERSION="3.3.1"
+CHECKREQS_DISK_BUILD="2400M"
+CHECKREQS_DISK_USR="512M"
+CHECKREQS_MEMORY="1024M"
+
+inherit check-reqs eapi9-ver flag-o-matic multiprocessing pax-utils 
python-any-r1 scons-utils systemd toolchain-funcs
+
+MY_PV=r${PV/_rc/-rc}
+MY_P=mongo-${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented 
database"
+HOMEPAGE="https://www.mongodb.com";
+SRC_URI="https://github.com/mongodb/mongo/archive/refs/tags/${MY_PV}.tar.gz -> 
${P}.gh.tar.gz"
+SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-6.0.22-patches.tar.xz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Apache-2.0 SSPL-1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 -riscv"
+CPU_FLAGS="cpu_flags_x86_avx"
+IUSE="debug kerberos mongosh ssl +tools ${CPU_FLAGS}"
+
+# https://github.com/mongodb/mongo/wiki/Test-The-Mongodb-Server
+# resmoke needs python packages not yet present in Gentoo
+RESTRICT="test"
+
+RDEPEND="acct-group/mongodb
+       acct-user/mongodb
+       >=app-arch/snappy-1.1.7:=
+       app-arch/zstd:=
+       >=dev-cpp/yaml-cpp-0.6.2:=
+       dev-libs/boost:=[nls]
+       >=dev-libs/libpcre-8.42[cxx]
+       dev-libs/snowball-stemmer:=
+       net-misc/curl
+       >=sys-libs/zlib-1.2.12:=
+       kerberos? ( dev-libs/cyrus-sasl[kerberos] )
+       ssl? (
+               >=dev-libs/openssl-1.0.1g:0=
+       )"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       sys-libs/ncurses:0=
+       sys-libs/readline:0=
+       debug? ( dev-debug/valgrind )"
+BDEPEND="
+       $(python_gen_any_dep '
+               >=dev-build/scons-3.1.1[${PYTHON_USEDEP}]
+               dev-python/cheetah3[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+       ')
+"
+PDEPEND="
+       mongosh? ( app-admin/mongosh-bin )
+       tools? ( >=app-admin/mongo-tools-100 )
+"
+
+PATCHES=(
+       "${WORKDIR}/mongodb-6.0.22-patches/mongodb-4.4.29-no-enterprise.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/${PN}-5.0.2-no-compass.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/${PN}-5.0.2-skip-reqs-check.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/${PN}-4.4.10-boost-1.81.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/mongodb-6.0.0-boost-1.79.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/mongodb-6.0.0-gcc12.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/mongodb-6.0.7-gcc-13.patch"
+       "${WORKDIR}/mongodb-6.0.22-patches/mongodb-6.0.21-boost-1.85.patch"
+       
"${WORKDIR}/mongodb-6.0.22-patches/mongodb-6.0.2-sconstruct-changes.patch"
+)
+
+python_check_deps() {
+       python_has_version -b ">=dev-build/scons-3.1.1[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/cheetah3[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/psutil[${PYTHON_USEDEP}]" &&
+       python_has_version -b "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_pretend() {
+       # Bug 809692 + 890294
+       if use amd64 && ! use cpu_flags_x86_avx; then
+               ewarn "MongoDB 5.0 requires use of the AVX instruction set."
+               ewarn "This ebuild will use 
--experimental-optimization=-sandybridge which"
+               ewarn "will result in an experimental build of MongoDB as per 
upstream."
+               ewarn 
"https://docs.mongodb.com/v5.0/administration/production-notes/";
+       fi
+
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               if ver_replacing -lt 4.4; then
+                       ewarn "To upgrade from a version earlier than the 
4.4-series, you must"
+                       ewarn "successively upgrade major releases until you 
have upgraded"
+                       ewarn "to 4.4-series. Then upgrade to 5.0 series."
+               else
+                       ewarn "Be sure to set featureCompatibilityVersion to 
4.4 before upgrading."
+               fi
+       fi
+}
+
+src_prepare() {
+       default
+
+       # remove bundled libs
+       rm -r src/third_party/{boost,snappy-*,yaml-cpp} || die
+
+       # remove compass
+       rm -r src/mongo/installer/compass || die
+}
+
+src_configure() {
+       # bug #954813
+       filter-lto
+
+       # https://github.com/mongodb/mongo/blob/v6.0/docs/building.md
+       # --use-system-icu fails tests
+       # --use-system-tcmalloc is strongly NOT recommended:
+       # for MONGO_GIT_HASH use GitOrigin-RevId from the commit of the tag
+       scons_opts=(
+               AR="$(tc-getAR)"
+               CC="$(tc-getCC)"
+               CXX="$(tc-getCXX)"
+               CCFLAGS="${CXXFLAGS}"
+
+               VERBOSE=1
+               VARIANT_DIR=gentoo
+               MONGO_VERSION="${PV}"
+               MONGO_GIT_HASH="919f50c37ef9f544a27e7c6e2d5e8e0093bc4902"
+
+               --disable-warnings-as-errors
+               --force-jobs # Reapply #906897, fix #935274
+               --jobs="$(makeopts_jobs)"
+               --use-system-boost
+               --use-system-snappy
+               --use-system-stemmer
+               --use-system-yaml
+               --use-system-zlib
+               --use-system-zstd
+       )
+
+       use arm64 && scons_opts+=( --use-hardware-crc32=off ) # Bug 701300
+       use amd64 && scons_opts+=( --experimental-optimization=-sandybridge ) # 
Bug 890294
+       use debug && scons_opts+=( --dbg=on )
+       use kerberos && scons_opts+=( --use-sasl-client )
+
+       scons_opts+=( --ssl=$(usex ssl on off) )
+
+       # Needed to avoid forcing FORTIFY_SOURCE
+       # Gentoo's toolchain applies these anyway
+       scons_opts+=( --runtime-hardening=off )
+
+       # gold is an option here but we don't really do that anymore
+       if tc-ld-is-lld; then
+                scons_opts+=( --linker=lld )
+       else
+                scons_opts+=( --linker=bfd )
+       fi
+
+       # respect mongoDB upstream's basic recommendations
+       # see bug #536688 and #526114
+       if ! use debug; then
+               filter-flags '-m*'
+               filter-flags '-O?'
+       fi
+
+       default
+}
+
+src_compile() {
+       PREFIX="${EPREFIX}/usr" ./buildscripts/scons.py "${scons_opts[@]}" 
install-devcore || die
+}
+
+src_install() {
+       dobin build/install/bin/{mongo,mongod,mongos}
+
+       doman debian/mongo*.1
+       dodoc docs/building.md
+
+       newinitd "${FILESDIR}/${PN}.initd-r3" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd-r3" ${PN}
+       newinitd "${FILESDIR}/mongos.initd-r3" mongos
+       newconfd "${FILESDIR}/mongos.confd-r3" mongos
+
+       insinto /etc
+       newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
+       newins "${FILESDIR}/mongos.conf-r2" mongos.conf
+
+       systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       # see bug #526114
+       pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
+
+       diropts -m0750 -o mongodb -g mongodb
+       keepdir /var/log/${PN}
+}
+
+pkg_postinst() {
+       ewarn "Make sure to read the release notes and follow the upgrade 
process:"
+       ewarn "  https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/"
+       ewarn "  https://docs.mongodb.com/manual/release-notes/$(ver_cut 
1-2)/#upgrade-procedures"
+}

Reply via email to